> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client

> Create a new client with its first member



## OpenAPI

````yaml post /clients
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /clients:
    post:
      tags:
        - Clients
      summary: Create Client
      description: Create a new client with its first member
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client:
                  type: object
                  properties:
                    name:
                      type: string
                      description: The client's name
                    language:
                      type: string
                      description: The client's dashboard language setting (ISO 639-1)
                      default: en
                  required:
                    - name
                    - language
                member:
                  type: object
                  properties:
                    name:
                      type: string
                      description: The member's name
                    loginId:
                      type: string
                      description: The member's login ID
                    email:
                      type: string
                      description: The member's email address
                    password:
                      type: string
                      description: The member's password
                  required:
                    - name
                    - loginId
                    - password
              required:
                - client
                - member
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Client created successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Login ID already in use
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred

````